%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname echoe
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: A Rubygems packaging tool that provides Rake tasks for documentation, extension compiling, testing, and deployment
Name: rubygem-%{gemname}
Version: 4.3.1
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://blog.evanweaver.com/files/doc/fauna/echoe/
Source0: http://rubygems.org/downloads/%{gemname}-%{version}.gem
Patch0: %{name}-remove-vendor-rake.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(abi) = 1.8
Requires: rubygems
Requires: rubygem(gemcutter)
Requires: rubygem(rake)
Requires: rubygem(rubyforge)
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A Rubygems packaging tool that provides Rake tasks for documentation,
extension compiling, testing, and deployment.

%prep
%setup -q -c -T 
mkdir -p ./%{gemdir}
gem install \
	--local \
	--install-dir ./%{gemdir} \
	-V --force --rdoc \
	%{SOURCE0}
pushd .%{geminstdir}
%patch0
popd

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a ./%{gemdir}/* %{buildroot}%{gemdir}


# Vendorized rake is not needed here
rm -rf %{buildroot}%{geminstdir}/vendor

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%doc %{geminstdir}/README
%doc %{geminstdir}/MIT-LICENSE
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/CHANGELOG
%doc %{geminstdir}/Manifest
%doc %{geminstdir}/TODO
%doc %{geminstdir}/Rakefile
%doc %{geminstdir}/%{gemname}.gemspec
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Tue Nov 09 2010 Michal Fojtik <mfojtik@redhat.com> 4.3.1-2
- Removed vendorized rake from echoe.rb
- Removed unused site_lib macro

* Wed Oct 27 2010 Michal Fojtik <mfojtik@redhat.com> 4.3.1-1
- Version bump
- Fixed file list (marked doc files)
- Removed vendored rake

* Fri Apr 30 2010 jesus m. rodriguez <jesusr@redhat.com> 4.3-2
- rebuild with tito

* Wed Mar 31 2010 Adam Young <ayoung@ayoung.boston.devel.redhat.com> - 4.3-1
- Initial package
